Bug 474662 - [LTC 5.4 FEAT] UEFI full support [200829]
[LTC 5.4 FEAT] UEFI full support [200829]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
5.4
All All
high Severity high
: alpha
: 5.4
Assigned To: RHEL Product and Program Management
Release Test Team
: FutureFeature, HardwareEnablement, OtherQA
Depends On:
Blocks: 445204 483784 488637 488639 488641 488642 488643 488644 488645 488646 488648 488851
  Show dependency treegraph
 
Reported: 2008-12-04 14:30 EST by IBM Bug Proxy
Modified: 2011-02-22 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-05 15:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50300 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 14:30:48 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[200829]
a. Name of Feature:	UEFI support
b. Feature Description
Request full support for UEFI for i386 and x86_64 archs. Requires UEFI extensions to lilo/grub boot
loaders.  Also expect support EFI Variables in NVRAM exported to the OS, EFI runtime
 services. It appears most of the development for i386 is complete, but needs to be verified. x86_64
support is being developed by Intel and needs to be submitted upstream.  ia64 has supported EFI from
the beginning.

Additional Comments:	We are requesting that UEFI support come out of technology preview state and be
included and supported as part of 5.4.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Installer: Yes
Affects Core Kernel: Yes
Delivery Mechanism: Request Red Hat development assistance
Category:	xSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	uEFI code submitted to gnu-efi, elilo-sourceforge, lkml by Intel. All
UEFI kernel code is upstream as of 2.6.25. gnu-efi and elilo code already upstream.

3. Business Case
All upcoming System x hardware will support UEFI-based BIOS. UEFI is projected to be on system x
hardware as soon as 1H 08, which means it would be in test 2H07

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 IBM Bug Proxy 2009-02-05 17:21:19 EST
corrected setting as xSeries - was set to z
Comment 2 RHEL Product and Program Management 2009-03-26 13:25:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2009-06-05 15:47:19 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 5 IBM Bug Proxy 2011-02-22 04:21:36 EST
------- Comment From  2011-02-22 04:18 EDT-------
We are reviewing this as a part of backlog bug clean up activity.
As per last comment closing this as WILL_NOT_FIX.
Please feel free to reopen once you have any valid update.

Thanks
Muni

Note You need to log in before you can comment on or make changes to this bug.